<?php
/**
 * @copyright   Copyright (C) Chatbro. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

defined('_JEXEC') or die();
defined('CHATBROENGINE') || die();

use ChatbroChatbroappChatsCbro_chats as CbroChats;
use Iterator;

class ChatbroChatbroappChatsCbro_chats_iterator implements Iterator
{
	private $keys;
	private $pos;

	public function __construct($keys)
	{
		$this->keys = $keys;
		$this->pos = 0;
	}

	public function rewind(): void
	{
		$this->pos = 0;
	}

	public function current(): mixed
	{
		return CbroChats::get($this->keys[$this->pos]);
	}

	public function key(): mixed
	{
		return $this->keys[$this->pos];
	}

	public function next(): void
	{
		++$this->pos;
	}

	public function valid(): bool
	{
		return isset($this->keys[$this->pos]);
	}
}
